try:
    import network
    import time
    from machine import reset

    wlan = None  # グローバル変数としてwlanを定義

    def init_wlan(ssid, password):
        global wlan  # グローバル変数を使用
        wlan = network.WLAN(network.STA_IF)
        wlan.active(True)
        num = numa = 0
        if not wlan.isconnected():
            wlan.connect(ssid, password)
            while wlan.status() != network.STAT_GOT_IP:
                print(f"{num+1} waiting...")
                num += 1
                if num >= 20:
                    with open('/report.dat', 'a') as f:
                        f.write(f"Status: {wlan.status()}\n")	#ステータスの追加
                    time.sleep(1)
                    wlan.disconnect()  # 接続をリセット
                    wlan.connect(ssid, password)  # 再接続
                    if wlan.status() == network.STAT_GOT_IP:
                        break
                    num = 0; numa += 1
                if numa >= 2:  # 追加の試行回数
                    with open('/report.dat', 'a') as f:
                        f.write("WiFiが接続できません\n")
                    reset()  # システムを再起動する
                time.sleep(1)
        return wlan

except ImportError:
    with open('/report.dat', 'a') as f:
        f.write("使用できるLANが存在しません！\n")
    reset()  # システムを再起動する

def DisconnWlan():
    global wlan  # グローバル変数を使用
    if wlan.isconnected():
        wlan.active(False)
        print('cut')
