from machine import Pin, SPI
import os, sdcard

spi = SPI(0,sck=Pin(6), mosi=Pin(7), miso=Pin(4))
sd = sdcard.SDCard(spi, Pin(28))
os.mount(sd, '/sd')
os.chdir('sd')

"""
#書き込みＯＫ test1.txt～test7.txt は、これで書き込んだ
fp = open('test6.txt', 'w')#ファイルが存在しない場合は新規作成
fp.write('6回目、テスト・テキストです 2024,7,4:13.05')#ファイルに書き込み
fp.close()		#ファイルを閉じる
"""
print(os.listdir())
print('-------------------------------')
for i in range(1,7):	#9
    filnum = 'test' + str(i) + '.txt'
    fp = open(filnum, 'r')
    print(str(i) + '. ' + filnum, fp.read())
    fp.close()		#ファイルを閉じる

#os.umount()	#これはエラーが出る

"""
Traceback (most recent call last):
  File "<stdin>", line 6, in <module>
OSError: [Errno 19] ENODEV
---
OSError: [Errno 19] ENODEV は、「デバイスが存在しない」というエラーです。
これは、指定されたデバイスが存在しないか、利用できない場合に発生します。
---------------------------
2024,6,16
512MBのSDカードを「既定」でFormatしたものは、読み書きＯＫであったが、
その後、どうもSDカードのが壊れたようだ。RAWになっている。
512MBは、RAWでFormatできない。
--------------------
2024,6,21
128MBは、Format(FAT16)できた。書き込み・読み出しＯＫとなった。これはＯＫ。
更に追加のテスト・テキストファイルです。時生2024,6,21
['test2.txt', 'test3.txt', 'test5.txt']
--------------------
2024,6,24
公称32GB,FAT32 のSDカードの読み書きがＯＫ、始めての事！
1. /sd/test1.txt～/6. test6.txtまで読み書きＯＫ
--------------------
2024,6,27
公称1GB,FAT32 のSDカードの読み書きが、入荷してすくにＯＫ！
1. test1.txt～4. test4.txtまで読み書きＯＫ
--------------------
Micro SD Card Adapter は、2個ともに何時からか読み書きＯＫになっている。
それも、あえて FAT16 でなく　FAT32 で、容量も 1GB・32GB までＯＫ。
"""