from machine import Pin, I2C
from time import sleep
import bme280

i2c = I2C(id=0, scl=Pin(13), sda=Pin(12), freq=100000)
bme = bme280.BME280(i2c=i2c)

while True:
    bme = bme280.BME280(i2c=i2c)          #BME280 object created
    
    # bme280.pyのvalues関数から単位の表記を取り除いた
    A, B, C = bme.values
    temperature=float(A);pressure=float(B);humidity=float(C)
    #temperature = bme.temperature	#なし
    #humidity = bme.humedity		#なし
    #pressure = bme.pressure		#なし
        
    print('Temerature = ', temperature)
    print('Humidity = ', humidity)
    print('Pressure = ', pressure)
    
    print('-----　別の読み方　-----')
        # Read sensor data
    t, p, h = bme.read_compensated_data()	#補償値
    temperature = t　/　100
    p = p // 256
    pi = p // 100
    pd = p - pi * 100
    pressure = float("{}.{:02d}".format(pi, pd))
    hi = h // 1024
    hd = h * 100 // 1024 - hi * 100
    humidity = float("{}.{:02d}".format(hi, hd))

    print('Temerature = ', temperature)
    print('Humidity = ', humidity)
    print('Pressure = ', pressure)
    print('---------------------')

    sleep(3)
