from st7735s import TFT
from sysfont import sysfont
from machine import SPI,Pin
import time
from machine import Timer	#割り込み
#import aqm1602		#16x2のLCDは取り付けていない
import time

spi = SPI(0, baudrate=20000000, polarity=0, phase=0, sck=Pin(2), mosi=Pin(3), miso=Pin(0))
tft=TFT(spi,11,10,1)	#	#インスタンス,DC,RES,CS
sdc=TFT(spi,11,10,9)	#SD card

# ４つの初期化法から適切なものを選ぶ
tft.initb2() # V1.1?
# tft.initr()
# tft.initg() #V 2.1?
# tft.initb()

# ２つの色指定から適切なものを選ぶ
tft.rgb(False) # V1.1, V2.1?
# tft.rgb(True)

#割り込みの追加テスト--------------------
state = 0
def toggle_led(t):
    global state
    led.value(state)
    state = 1 if state == 0 else 0	#三項演算子
    #print("割り込み")

#led = Pin(secrets.LED, Pin.OUT)	#importされたPinを使って定義,ESP25,pico"LED"or21
#motor = Pin(16, Pin.OUT)
led = Pin(21, Pin.OUT)
#sw = Pin(20, Pin.IN, Pin.PULL_UP)

t = Timer()
t.init(period=333, callback=toggle_led)	#タイマー割り込みの定義
#-------------------------------------
"""
aqm=aqm1602.AQM1602()	# 16x2 LCD表示器
aqm.init()
count = 0
aqm.clear()
aqm.print(1,"ｶｳﾝﾀ-ﾋｮｳｼﾞﾃｽﾄﾃﾞｽ")
def print_cnt():
    global count
    aqm.print(2,"Num ={:10d}".format(count))
    count = count + 1
"""
#タイマー割り込みを停止するためChatGPTに聞いたコードを参考にした
try:
    while(True):
        tft.fill(TFT.WHITE) # 画面のクリア
        time.sleep_ms(1000); #print_cnt()
        tft.fill(TFT.BLACK) # 画面のクリア
        for y in range(0,128,8):
            tft.line((0,0),(127,y),TFT.WHITE) # 斜線

        for x in range(127,0,-8):
            tft.line((0,0),(x,127),TFT.WHITE) # 斜線
        time.sleep_ms(500); #print_cnt()

        tft.fill(TFT.BLACK) # 画面のクリア
        for n in range(0,32,2):
            tft.rect((64-n*2,64-n*2),(n*4,n*4),TFT.RED) # 方形
        time.sleep_ms(500); #print_cnt()

        tft.fill(TFT.BLACK) # 画面のクリア
        for n in range(0,32,2):
            tft.fillrect((64-n*2,64-n*2),(n*4,n*4),TFT.GREEN) # 塗潰し方形
        time.sleep_ms(500); #print_cnt()

        tft.fill(TFT.BLACK) # 画面のクリア
        for n in range(2,64,4):
            tft.circle((64,64),n,TFT.YELLOW) # 楕円
        time.sleep_ms(500); #print_cnt()

        tft.fill(TFT.BLACK) # 画面のクリア
        for n in range(2,64,4):
            tft.fillcircle((64,64),n,TFT.CYAN) # 楕円
        time.sleep_ms(500); #print_cnt()

        tft.fill(TFT.BLACK) # 画面のクリア
        tft.text((0, 30), "1.44 or 1.8 INCH TFT DISPLAY, ST7735S Controler", TFT.WHITE, sysfont, 1)
        tft.text((0, 65), "MicroPython", TFT.BLUE, sysfont, 2)	#行が溢れると次の行に移っている
        #tft.text((20, 90), "MicroFan", TFT.YELLOW, sysfont, 2)
        tft.text((0, 90), "TokioYamada", TFT.YELLOW, sysfont, 2)
        time.sleep_ms(3000); #print_cnt()
        tft.fill(TFT.RED) # 画面のクリア
        time.sleep_ms(500); #print_cnt()
except KeyboardInterrupt:
    print("Stopping timer")
    t.deinit()  # タイマーを無効にして割り込みを停止