from machine import Pin, Timer

led = Pin("LED", Pin.OUT)	#"LED"は基板にあるディフォルトのLEDを指す

# Create timers
tb = Timer()	# 引数無し

state = 0

def toggle_led(t):
    global state

    led.value(state)
    state = 1 if state == 0 else 0	#三項演算子
    #if sw.value() == 1:	#SWが押されると点滅を止める
    #    state = 1 if state == 0 else 0	#三項演算子
    #print("割り込み")

#periodic(定期的)
tb.init(mode=Timer.PERIODIC, freq=2, callback=toggle_led)	#OK
#tb.init(period=333, callback=toggle_led)	#OK

try:
    while True:
        pass
except KeyboardInterrupt:
    print()
    print("Stopping timer")
    tb.deinit()  # タイマーを無効にして割り込みを停止

"""
内臓LEDについて
Pico については 、GPIO25に接続されている
Pico Wについては、WL_GPIO0 すなわち、無線チップのGPIOに接続されている。
この違いから、Picoのプログラムはそのまま動きません。
MycroPythonにて「Pico W」の内蔵LEDをPinとして指定する場合には文字列の “LED” を
指定する必要があります。
"""
